# Account info

Refer to [Websocket](/docs/api-documentation/api/websocket.md) for establishing the websocket connection.

## Leverage

### Params

```json
{
    "method": "subscribe",
    "params": {
        "source": "account_info",
        "account": "42trU9A5..."
    }
}
```

### Stream

```json
{
    "channel": "account_info",
    "data": {
        "ae": "2000",
        "as": "1500",
        "aw": "1400",
        "b": "2000",
        "f": 1,
        "mu": "500",
        "cm": "400",
        "oc": 10,
        "pb": "0",
        "pc": 2,
        "sc": 2,
        "sb": [
          {
            "s": "SOL",
            "a": "1.50000000",
            "lr": "0.80",
            "aw": "1.00000000",
            "pb": "0.00",
            "dw": "250.000000",
            "dd": "50000.000000",
            "wd": "250000.000000"
          }
        ],
        "t": 1234567890
    }
}
```

<table><thead><tr><th width="249">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>'ae'</code></td><td>string</td><td>Account equity</td></tr><tr><td><code>'as'</code></td><td>string</td><td>Available to spend</td></tr><tr><td><code>'aw'</code></td><td>string</td><td>Availale to withdraw</td></tr><tr><td><code>'b'</code></td><td>string</td><td>Account balance</td></tr><tr><td><code>'f'</code></td><td>integer</td><td>Account fee tier</td></tr><tr><td><code>'mu'</code></td><td>string</td><td>Total margin used</td></tr><tr><td><code>'cm'</code></td><td>string</td><td>Maintenance margin required in cross mode</td></tr><tr><td><code>'oc'</code></td><td>integer</td><td>Orders count</td></tr><tr><td><code>'pb'</code></td><td>string</td><td>Pending balance</td></tr><tr><td><code>'pc'</code></td><td>integer</td><td>Positions count</td></tr><tr><td><code>'sc'</code></td><td>integer</td><td>Stop order count</td></tr><tr><td><code>'sb'</code></td><td>array</td><td>Spot asset balances (see below)</td></tr><tr><td><code>'t'</code></td><td>number</td><td>Timestamp in milliseconds</td></tr></tbody></table>

**Spot Balance Fields**

| Field  | Type   | Description                            |
| ------ | ------ | -------------------------------------- |
| `'s'`  | string | Spot asset symbol                      |
| `'a'`  | string | Total amount held                      |
| `'lr'` | string | Loan-to-value ratio                    |
| `'aw'` | string | Available to withdraw                  |
| `'pb'` | string | Pending balance                        |
| `'dw'` | string | Daily withdrawal amount (USD)          |
| `'dd'` | string | Effective daily deposit limit (USD)    |
| `'wd'` | string | Effective daily withdrawal limit (USD) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
